
QGIS Application - Bug report #20866

Qgis 3.4.2 crash when applied draw effects

2018-12-21 02:43 PM - Branko Bass

Status: Feedback

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:3.4.2 Regression?: No

Operating System: Windows 10 64 bit Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 28685

Description

I tried to apply draw effects on vector layer of 1000 points. When "Outer Glow" added everything runs smoothly. But when tired to render

all of them Qgis would crash.

Tried multiple times same action.

Thank you

History

#1 - 2018-12-21 02:51 PM - Alessandro Pasotti

- Status changed from Open to Feedback

Please add a test project and data and detailed instructions to reproduce the issue.

#2 - 2018-12-21 10:21 PM - Branko Bass

Dear, it is a simple project. I obtained data from this public ArcGIS server, link: 

https://www.arcgis.com/home/item.html?id=5f4f92a040d54aaaa5f4f94f9c1d0d17

When data added, naturally, right click on the layer - properties - symbology, choose "Stroke style = No Pen", then on simple marker tab I would enable

draw effects checkmark - customize effects and checkmark outer glow. On selected outer glow increase transparency around 75%, set "Spread" to map

units(my project is on WGS84, no projected). After changes are applied, everything seems fine until comes to rendering points. Please if it does not happen

right away try to pan a little bit around and for me it would happen right away or in a few seconds.

Best, 

Branko

#3 - 2018-12-22 11:24 AM - Alessandro Pasotti

No crashes here (on Linux).

Can you attach a stack trace the next time it crashes?

#4 - 2018-12-22 01:48 PM - Branko Bass

- File qgisCrash.mp4 added
https://www.arcgis.com/home/item.html?id=5f4f92a040d54aaaa5f4f94f9c1d0d17


I can not because it would run tool forever. Now, I notice this happens when I would change the point size.

There would only happen. I am sending you a short video what happens.

#5 - 2019-03-09 09:42 AM - Giovanni Manghi

- Priority changed from Normal to High

- Category changed from Decorations to Symbology

I can not because it would run tool forever. Now, I notice this happens when I would change the point size.

There would only happen. I am sending you a short video what happens.

cannot replicate here on Windows and Linux. Please try with a new/clean profile on 3.4.5/3.6 (no 3rd party plugins installed) and/or attach a sample project

with data.

Files

qgisCrash.mp4 1.45 MB 2018-12-22 Branko Bass
